Package com.ocient.jdbc.proto

## Interface PlanProtocol.SortOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SortOperator`, `PlanProtocol.SortOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SortOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getDirections​(int index)` The directions for each sort col - true = ascending
`int` `getDirectionsCount()` The directions for each sort col - true = ascending
`List<Boolean>` `getDirectionsList()` The directions for each sort col - true = ascending
`long` `getLimitVal()` If we know we only need the top n rows of the sort that is noted here If there is no limit being applied, this is set to -1

`PlanProtocol.SortPartition`

`getPoint​(int index)`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`int` `getPointCount()` This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`List<PlanProtocol.SortPartition>`

`getPointList()`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`PlanProtocol.SortPartitionOrBuilder`

`getPointOrBuilder​(int index)`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`List<? extends PlanProtocol.SortPartitionOrBuilder>`

`getPointOrBuilderList()`

This defines the list of partitioning points for dividing the sort into streams There's no guarantees on the size of this It could be completely empty, which could happen if it look like all the data has the same sort key - implies that we don't know what to do besides one sort stream There is no guarantee that the partitioning points are in order

`String` `getSortKeys​(int index)` The sort columns - order matters
`com.google.protobuf.ByteString` `getSortKeysBytes​(int index)` The sort columns - order matters
`int` `getSortKeysCount()` The sort columns - order matters
`List<String>` `getSortKeysList()` The sort columns - order matters

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getSortKeysList

    List<String> getSortKeysList()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Returns:
  A list containing the sortKeys.

#### getSortKeysCount

    int getSortKeysCount()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Returns:
  The count of sortKeys.

#### getSortKeys

    String getSortKeys​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The sortKeys at the given index.

#### getSortKeysBytes

    com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the sortKeys at the given index.

#### getDirectionsList

    List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Returns:
  A list containing the directions.

#### getDirectionsCount

    int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Returns:
  The count of directions.

#### getDirections

    boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The directions at the given index.

#### getLimitVal

    long getLimitVal()

    If we know we only need the top n rows of the sort
    that is noted here
    If there is no limit being applied, this is set to -1

`int64 limitVal = 3;`

Returns:
  The limitVal.

#### getPointList

    List<PlanProtocol.SortPartition> getPointList()

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

#### getPoint

    PlanProtocol.SortPartition getPoint​(int index)

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

#### getPointCount

    int getPointCount()

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

#### getPointOrBuilderList

    List<? extends PlanProtocol.SortPartitionOrBuilder> getPointOrBuilderList()

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`

#### getPointOrBuilder

    PlanProtocol.SortPartitionOrBuilder getPointOrBuilder​(int index)

    This defines the list of partitioning points for dividing the sort into streams
    There's no guarantees on the size of this
    It could be completely empty, which could happen if it look like all the data
    has the same sort key - implies that we don't know what to do besides
    one sort stream
    There is no guarantee that the partitioning points are in order

`repeated .xg.db.sqlPlans.SortPartition point = 4;`